Er du klar for Snow Leopard?

Er du klar for Snow Leopard?

OS X 10.6 lanseres fredag - men er dine programmer klare for Snow Leopard? Java-brukere bør lese videre.

Et lite skår i gleden over en ny versjon av Apples operativsystem er at ikke alle programmer er klare enda for det nye OS-et. Alle bedrifter med driftskritiske programmer vil tenke seg nøye om før de tar skrittet fullt ut og oppgraderer.

Heldigvis har noen tatt seg bryet med å ta en sjekk mot en lang rekke programmer for hvorvidt de er kompatible med OS X 10.6. Listen, der man forøvrig kan bidra med egne erfaringer, finnes her: snowleopard.wikidot.com (obs: siden laster noe tregt, trolig på grunn av stor trafikk).

Java

I tillegg er det et helt spesifikt skjær i sjøen for brukere av Java som er avhengige av JDK 1.5 i systemet. Dersom de siste utviklerversjonene av Snow Leopard tilsvarer den som selges fra butikk på fredag, så er det kun støtte for Java 1.6.

Java-installasjoner på OS X håndteres av Apple som en del av systemprogramvaren, og kan derfor ikke installeres av sluttbrukeren uten videre.

Dersom du likevel trenger å bruke versjon 1.5, så finnes det heldigvis en måte å ta en kopi av Java 1.5 fra en ordinær Leopard-installasjon, for siden å kopiere denne over til Snow Leopard. Kokeoppskriften er hentet fra denne bloggen - brukes på eget ansvar men er testet med hell av oss.

Kort oversikt

Kort fortalt skal disse kommandoer kjøres i Terminalen (@leopard og @snow-leopard angir de to forskjellige systemene):

  1. user@leopard% cd /System/Library/Frameworks/JavaVM.framework/Versions
  2. user@leopard% zip -9ry ~/java.zip 1.5.0
  3. user@snow-leopard% sudo -s
  4. root@snow-leopard# cd /System/Library/Frameworks/JavaVM.framework/Versions
  5. root@snow-leopard# scp user@leopard:~/java.zip .
  6. root@snow-leopard# rm -f 1.5*
  7. root@snow-leopard# unzip java.zip
  8. root@snow-leopard# ln -s 1.5.0 1.5

Sjekk

Til syvende og sist kan man kjøre programmet "Java Preferences" for å sjekke om installasjonen var vellykket. Dersom den er det, skal både "Java SE 6" (32 og 64-bit) samt J2SE 5.0 (32 og 64-bit) vises i oversikten. Oversiktslisten kan også manipuleres for å gi de forskjellige versjonene prioritet fremfor andre som standardvalg for Java Applets og Java Applikasjoner.